      function acos (x)
c may 1980 edition.  w. fullerton, c3, los alamos scientific lab.
      external asin
      data pi2 / 1.5707963267 9489661923e0/
c
      acos = pi2 - asin(x)
c
      return
      end
